### Function

# Gimp pixbuf_create_buffer

since: 2.10

#### Declaration [src]

    GeglBuffer*
    gimp_pixbuf_create_buffer (
      GdkPixbuf* pixbuf
    )

#### Description [src]

Returns a `GeglBuffer` that’s either backed by the `pixbuf`‘s pixels, or a copy of them. This function tries to not copy the `pixbuf`‘s pixels. If the pixbuf’s rowstride is a multiple of its bpp, a simple reference to the `pixbuf`‘s pixels is made and `pixbuf` will be kept around for as long as the buffer exists; otherwise the pixels are copied.

Available since: 2.10

#### Parameters

`pixbuf`

  Type: `GdkPixbuf`

  A `GdkPixbuf`.

  The data is owned by the caller of the function.

#### Return value

Type: `GeglBuffer`

A new `GeglBuffer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.